Bug 138178 - New gnutls (2.8.3) breaks databases/freetds and databases/freetds-devel build
Summary: New gnutls (2.8.3) breaks databases/freetds and databases/freetds-devel build
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Roman Bogorodskiy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-08-25 18:50 UTC by rob.kruus
Modified: 2009-11-21 07:00 UTC (History)
0 users

See Also:


Attachments
file.diff (500 bytes, patch)
2009-08-25 18:50 UTC, rob.kruus
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description rob.kruus 2009-08-25 18:50:01 UTC
The new version of gnutls no longer includes libgnutls-conifg which is
called in the configure script of freetds-devel (and in freetds as well)

Not sure if the patch applies to the older branch as well.

Fix: Patch the configure file

Patch attached with submission follows:
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2009-08-25 19:48:20 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-ports-bugs

I'm guessing that this patch applies to databases/freetds?
Comment 2 Martin Wilke freebsd_committer 2009-08-27 09:32:01 UTC
Responsible Changed
From-To: freebsd-ports-bugs->novel

could you please take a ook here?
Comment 3 dfilter service freebsd_committer 2009-11-21 06:56:05 UTC
novel       2009-11-21 06:55:51 UTC

  FreeBSD ports repository

  Modified files:
    databases/freetds-devel Makefile 
  Log:
  Fix build when gnutls support is enabled.
  
  PR:             138178 (based on)
  Submitted by:   Robert Kruus <rob.kruus@gmail.com>
  
  Revision  Changes    Path
  1.61      +2 -0      ports/databases/freetds-devel/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Roman Bogorodskiy freebsd_committer 2009-11-21 06:58:00 UTC
State Changed
From-To: open->closed

Commited a fix for freetds-devel. Fix for freetds was committed earlier 
from ports/137867. Thanks for the contribution and sorry for the delay.